#include <stdint.h>
#include <stddef.h>
#include "vga.h"

enum { COLOR_LIGHT_GREY = 0x07, COLOR_GREEN = 0x0A, COLOR_CYAN = 0x0B };

void kernel_main(void) {
    vga_clear(COLOR_LIGHT_GREY);
    vga_write_str("NFDOS Kernel iniciado!\n", COLOR_GREEN);
    vga_write_str("Boot via GRUB (Multiboot v1), modo 32-bit OK.\n", COLOR_CYAN);

    for(;;) { __asm__ __volatile__("hlt"); }
}
